.drawer-container[data-v-126b135a] {
  padding: 24px;
  font-size: 14px;
  line-height: 1.5;
  word-wrap: break-word;
}
.drawer-container .drawer-title[data-v-126b135a] {
  margin-bottom: 12px;
  color: rgba(0, 0, 0, 0.85);
  font-size: 14px;
  line-height: 22px;
}
.drawer-container .drawer-item[data-v-126b135a] {
  color: rgba(0, 0, 0, 0.65);
  font-size: 14px;
  padding: 12px 0;
}
.drawer-container .drawer-switch[data-v-126b135a] {
  float: right;
}

.showRightPanel {
  overflow: hidden;
  position: relative;
  width: calc(100% - 15px);
}

.rightPanel-background[data-v-1e488bfb] {
  opacity: 0;
  -webkit-transition: opacity 0.3s cubic-bezier(0.7, 0.3, 0.1, 1);
  transition: opacity 0.3s cubic-bezier(0.7, 0.3, 0.1, 1);
  background: rgba(0, 0, 0, 0.2);
  width: 0;
  height: 0;
  top: 0;
  left: 0;
  position: fixed;
  z-index: -1;
}
.rightPanel[data-v-1e488bfb] {
  background: #fff;
  z-index: 3000;
  position: fixed;
  height: 100vh;
  width: 100%;
  max-width: 260px;
  top: 0px;
  left: 0px;
  -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.05);
          box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.05);
  -webkit-transition: all 0.25s cubic-bezier(0.7, 0.3, 0.1, 1);
  transition: all 0.25s cubic-bezier(0.7, 0.3, 0.1, 1);
  -webkit-transform: translate(100%);
          transform: translate(100%);
  z-index: 40000;
  left: auto;
  right: 0px;
}
.show[data-v-1e488bfb] {
  -webkit-transition: all 0.3s cubic-bezier(0.7, 0.3, 0.1, 1);
  transition: all 0.3s cubic-bezier(0.7, 0.3, 0.1, 1);
}
.show .rightPanel-background[data-v-1e488bfb] {
  z-index: 20000;
  opacity: 1;
  width: 100%;
  height: 100%;
}
.show .rightPanel[data-v-1e488bfb] {
  -webkit-transform: translate(0);
          transform: translate(0);
}
.handle-button[data-v-1e488bfb] {
  position: absolute;
  left: -48px;
  border-radius: 6px 0 0 6px !important;
  width: 48px;
  height: 48px;
  pointer-events: auto;
  z-index: 0;
  cursor: pointer;
  pointer-events: auto;
  font-size: 24px;
  text-align: center;
  color: #fff;
  line-height: 48px;
}
.handle-button i[data-v-1e488bfb] {
  font-size: 24px;
  line-height: 48px;
}
/**
* I think element-ui's default theme color is too light for long-term use.
* So I modified the default color and you can modify it to your liking.
**/
/* theme color */
/* icon font path, required */
.app-wrapper {
  position: relative;
  height: 100%;
  width: 100%;
  overflow: hidden;
}
.app-wrapper:after {
  content: "";
  display: table;
  clear: both;
}

.main-container {
  position: relative;
}

.hamburger {
  font-size: 16px;
  color: #5a5e66;
  line-height: 16px;
  height: 100%;
  cursor: pointer;
  -webkit-transition: width 0.3s;
  transition: width 0.3s;
  background: #fff;
  padding: 0 4px;
}

.app-main {
  height: 100%;
  overflow: auto;
  min-height: auto;
  position: relative;
}
.app-main .app-home {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 12px 12px 12px 0;
  overflow: hidden;
}
.app-main .app-class {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 12px 12px 12px 0;
  overflow: hidden;
}

.password-dialog .force-change-tip {
  margin: 0 0 8px 12px;
  color: #f56c6c;
  line-height: 20px;
}
.password-dialog .password-input-wrap {
  position: relative;
}
.password-dialog .show-password {
  position: absolute;
  top: 50%;
  right: 10px;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  margin: 0 !important;
  background: transparent;
  z-index: 2;
}
.password-dialog .new-password {
  position: relative;
}
.password-dialog .new-password .el-input__inner {
  padding-right: 40%;
}
.password-dialog .new-password .strong-level {
  position: absolute;
  width: 30%;
  height: 70%;
  right: 10px;
  top: 0;
  bottom: 0;
  margin: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.password-dialog .new-password .strong-level span {
  width: 33.333333%;
  height: 100%;
  text-align: center;
  font-size: 12px;
  background-color: #ededed;
}
.password-dialog .new-password .strong-level .bg-red {
  background-color: red;
  color: #fff;
}
.password-dialog .new-password .strong-level .bg-yellow {
  background-color: orange;
  color: #fff;
}
.password-dialog .new-password .strong-level .bg-green {
  background-color: green;
  color: #fff;
}
.password-dialog .strong-progress .el-form-item {
  padding-top: 0 !important;
}
.password-dialog .strong-progress .el-form-item .el-form-item__label {
  display: none;
}
.password-dialog .strong-progress .el-form-item .el-form-item__content {
  min-height: auto;
}
.password-dialog .strong-progress .strength .strength-progress {
  position: relative;
  height: 10px;
  background-color: aquamarine;
  border-radius: 100px;
  overflow: hidden;
  padding: 0 1px;
}
.password-dialog .strong-progress .strength .strength-progress::before, .password-dialog .strong-progress .strength .strength-progress::after {
  position: absolute;
  content: "";
  display: block;
  width: 2px;
  height: 100%;
  background: white;
  top: 0;
  left: calc(100% / 3);
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  z-index: 999;
}
.password-dialog .strong-progress .strength .strength-progress::after {
  left: calc(100% / 3 * 2);
}
.password-dialog .strong-progress .strength .strength-bg {
  width: 100%;
  height: 100%;
  background: -webkit-gradient(linear, left top, right top, from(red), color-stop(0, orange), color-stop(0, green));
  background: linear-gradient(to right, red calc(100% / 3), orange 0 calc(100% / 3 * 2), green 0);
  border-radius: 100px;
}
.password-dialog .strong-progress .strength .strength-mack {
  width: 100%;
  height: 100%;
  position: absolute;
  width: 100%;
  background-color: #eee;
  background: #eee;
  left: 0;
  top: 0;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}
.password-dialog .strong-progress .strength .strength-describe {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
}
.password-dialog .strong-progress .strength .strength-describe .strength-describe-item {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  width: 100%;
  text-align: center;
  font-size: 12px;
  line-height: 2em;
}
.password-dialog .strong-progress .strength .strength-describe .strength-describe-item:nth-child(1) {
  color: red;
}
.password-dialog .strong-progress .strength .strength-describe .strength-describe-item:nth-child(2) {
  color: orange;
}
.password-dialog .strong-progress .strength .strength-describe .strength-describe-item:nth-child(3) {
  color: green;
}
.password-dialog .password-tips {
  margin-top: 6px;
  font-size: 12px;
  line-height: 20px;
  color: #909399;
}

body {
  height: 100%;
}

.tags-view-container .tags-menu {
  z-index: 20000 !important;
}
